Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class ClearFieldManager

    java.lang.Object
      org.apache.openjpa.kernel.AbstractFieldManager
          org.apache.openjpa.kernel.ClearFieldManager

All Implemented Interfaces:
  FieldConsumer, FieldManager, FieldSupplier

Direct Known Subclasses:
  SaveFieldManager, SavepointFieldManager

     class ClearFieldManager

extends AbstractFieldManager

FieldManager that responds to all fetch methods with the default value for that field; used to clear the state of managed instances.

Author:
  Abe White

Constructor Summary
`protected` | `ClearFieldManager()`

Method Summary
`boolean` | `fetchBooleanField(int field)` Return the value of the given field.
`byte` | `fetchByteField(int field)` Return the value of the given field.
`char` | `fetchCharField(int field)` Return the value of the given field.
`double` | `fetchDoubleField(int field)` Return the value of the given field.
`float` | `fetchFloatField(int field)` Return the value of the given field.
`int` | `fetchIntField(int field)` Return the value of the given field.
`long` | `fetchLongField(int field)` Return the value of the given field.
`Object` | `fetchObjectField(int field)` Return the value of the given field.
`short` | `fetchShortField(int field)` Return the value of the given field.
`String` | `fetchStringField(int field)` Return the value of the given field.
`static ClearFieldManager` | `getInstance()`

Methods inherited from class org.apache.openjpa.kernel.AbstractFieldManager
`storeBooleanField, storeByteField, storeCharField, storeDoubleField, storeFloatField, storeIntField, storeLongField, storeObjectField, storeShortField, storeStringField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearFieldManager

    protected ClearFieldManager()

Method Detail

### getInstance

    public static ClearFieldManager getInstance()

### fetchBooleanField

    public boolean fetchBooleanField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchBooleanField` in interface `FieldSupplier`
  Overrides:
    `fetchBooleanField` in class `AbstractFieldManager`

### fetchByteField

    public byte fetchByteField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchByteField` in interface `FieldSupplier`
  Overrides:
    `fetchByteField` in class `AbstractFieldManager`

### fetchCharField

    public char fetchCharField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchCharField` in interface `FieldSupplier`
  Overrides:
    `fetchCharField` in class `AbstractFieldManager`

### fetchDoubleField

    public double fetchDoubleField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchDoubleField` in interface `FieldSupplier`
  Overrides:
    `fetchDoubleField` in class `AbstractFieldManager`

### fetchFloatField

    public float fetchFloatField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchFloatField` in interface `FieldSupplier`
  Overrides:
    `fetchFloatField` in class `AbstractFieldManager`

### fetchIntField

    public int fetchIntField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchIntField` in interface `FieldSupplier`
  Overrides:
    `fetchIntField` in class `AbstractFieldManager`

### fetchLongField

    public long fetchLongField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchLongField` in interface `FieldSupplier`
  Overrides:
    `fetchLongField` in class `AbstractFieldManager`

### fetchObjectField

    public Object fetchObjectField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchObjectField` in interface `FieldSupplier`
  Overrides:
    `fetchObjectField` in class `AbstractFieldManager`

### fetchShortField

    public short fetchShortField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchShortField` in interface `FieldSupplier`
  Overrides:
    `fetchShortField` in class `AbstractFieldManager`

### fetchStringField

    public String fetchStringField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchStringField` in interface `FieldSupplier`
  Overrides:
    `fetchStringField` in class `AbstractFieldManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.